### Method

# GLib RWLock clear

since: 2.32

#### Declaration

    void
    g_rw_lock_clear (
      GRWLock* rw_lock
    )

#### Description

Frees the resources allocated to a lock with g_rw_lock_init().

This function should not be used with a `GRWLock` that has been statically allocated.

Calling `g_rw_lock_clear()` when any thread holds the lock leads to undefined behaviour.

Available since: 2.32